Bug 114059 - after upgrade python 2.2 to 2.3 yum python apps can't find there modules
after upgrade python 2.2 to 2.3 yum python apps can't find there modules
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
: 120616 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-01-21 19:27 EST by lupus
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-05 16:50:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description lupus 2004-01-21 19:27:00 EST
Description of problem:
after updating python 2.2 to 2.3 from fc2 dev list
python programmes are broken.

for some reason python 2.3 can't find the modules that where installed
during python 2.2 
reinstalling the modules makes python 2.3 find them

example yum is broken now
reinstalling rpm-python and libxml2-python was needed to fix it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum upgrade python
Actual results:
Traceback (most recent call last):
  File "/usr/bin/yum", line 22, in ?
    import yummain
  File "/usr/share/yum/yummain.py", line 21, in ?
    import clientStuff
  File "/usr/share/yum/clientStuff.py", line 18, in ?
    import rpm
ImportError: No module named rpm

Expected results:
yum to work

Additional info:
Comment 1 Mihai Ibanescu 2004-04-05 16:50:45 EDT
I don't think there is an easy fix for this. Python 2.2 modules are
installed in a different directory than the 2.3 ones.
Comment 2 Tom Diehl 2004-04-05 22:09:17 EDT
So are you saying that since the fix is not easy upgrades are to
remain broken? This response makes no sense. Are we only fixing the
easy parts? What am I missing?
Comment 3 Mihai Ibanescu 2004-04-06 09:05:14 EDT
No, I wish I could say that though :-)
The current transition from Fedora Core 1 to Fedora Core 2 cannot be
safely performed with yum, the python upgrade being one of the
reasons. The core problem is the fact yum (and the modules yum use) do
not enforce the dependency on python 2.2; if that was the case, then
yum would have realized it breaks a dependency, it would have tried to
update itself and then everything would have been fine.
So, until we fix the python dependencies for all the modules (and not
only python itself), I cannot think of a way to not break python 2.2
compiled modules when we upgrade python.
Does my two-line comment make more sense now?
Comment 4 Tom Diehl 2004-04-06 21:10:48 EDT
Yes it does. Thank you for the explaination.
Comment 5 Mihai Ibanescu 2004-04-12 09:50:12 EDT
*** Bug 120616 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.